dofile("data/scripts/lib/utilities.lua")
GOLD_EQ_POWER_SCALE = 0.02

table.insert(actions, {
	id          = "GOLD_EQUALS_POWER",
	name 		= "Gold = Power",
	description = "Gold makes you powerful",
	sprite 		= "mods/goldeqpower/files/action.png",
	sprite_unidentified = "mods/goldeqpower/files/action.png",
	type 		= ACTION_TYPE_MODIFIER,
	spawn_level                       = "1,2,3,4,5,6",
	spawn_probability                 = "1,1,1,1,1,1",
	price = 350,
	mana = 0,
	action 		= function()
		draw_actions( 1, true )
		local money = tonumber(GlobalsGetValue("playermoney"))
		if (money == nil) then money = 0 end

		print("GOLD=POWER ADDITIONAL DMG: " .. tostring(money * GOLD_EQ_POWER_SCALE))
		c.damage_projectile_add = c.damage_projectile_add + money * GOLD_EQ_POWER_SCALE
	end,
})